// (c) 2006 Martin Aumueller <aumuell@reserv.at>
// See COPYING file for licensing information

#include "aacfiletyperesolver.h"
#include <taglib/mpegfile.h>

#include <src/util.hpp>

namespace
{
  char* const suffixes[] = 
  {
    "aac",
    0,  
  }; 
}

TagLib::File *AACFileTypeResolver::createFile(const char *filename,
        bool readProperties,
        TagLib::AudioProperties::ReadStyle propertiesStyle) const
{
  if (str_has_suffixes_nocase (filename, suffixes))
    {
        return new TagLib::MPEG::File(filename, readProperties, propertiesStyle);
    }

    return 0;
}
